%define abi 1.0
%define major 0
%define libname %mklibname %{name} %{abi} %{major}
%define develname %mklibname -d %{name}

Name:           schroedinger
Version:        1.0.11
Release:        %mkrel 8
Summary:        Portable libraries for the high quality Dirac video codec

Group:          Video/Utilities
License:        LGPL/MIT/MPL
URL:            http://www.diracvideo.org/
Source0:        http://www.diracvideo.org/download/schroedinger/schroedinger-%{version}.tar.gz
Patch0:		schroedinger-1.0.9-fix-linking.patch
Patch1:		schroedinger-1.0.11-automake-1.13.patch

BuildRequires:  liborc-devel
BuildRequires:  gtk-doc

%description
The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and
Development. Dirac is a free and open source codec producing very high
image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.

%package -n	%{libname}
Group:          System/Libraries
Summary:        Portable libraries for the high quality Dirac video codec

%description -n %{libname}
The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and
Development. Dirac is a free and open source codec producing very high
image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.

%package -n	%{develname}
Group:          Development/C
Summary:        Development files for schrodinger
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for schrodinger

%prep
%setup -q
%apply_patches
autoreconf -vfi

%build
%configure2_5x --disable-static --enable-gtk-doc
%make

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc COPYING* NEWS TODO
%{_libdir}/libschroedinger-%{abi}.so.%{major}*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/schroedinger
%{_includedir}/schroedinger-%{abi}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/schroedinger-%{abi}.pc


%changelog
* Mon Mar 14 2016 wally <wally> 1.0.11-8.mga6
+ Revision: 990541
- rebuild with orc without .la files
- drop .la files

* Thu Feb 04 2016 umeabot <umeabot> 1.0.11-7.mga6
+ Revision: 935027
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.11-6.mga5
+ Revision: 740067
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.11-5.mga5
+ Revision: 689052
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.11-4.mga4
+ Revision: 518210
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.11-3.mga3
+ Revision: 381801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.0.11-2.mga3
+ Revision: 340754
- fix RPM group
- fix for automake 1.13

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1.0.11-1.mga3
+ Revision: 275688
- 1.0.11

* Thu Jan 13 2011 pterjan <pterjan> 1.0.10-1.mga1
+ Revision: 16643
- Drop obsolete scriptlets
- imported package schroedinger

